Industry Sector
To view all industry sectors:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/industrySector
GET /api/v2/industrySector HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"pageToken": "0",
"requestedPageSize": 50,
"itemCount": 2,
"items": [
{
"industrySectorId": 4,
"name": "Agriculture, forestry and fishing",
"title": "AGROFISH",
"status": "active"
},
{
"industrySectorId": 1,
"name": "Aerospace industries",
"title": "AEROSPACE",
"status": "active"
}
]
}To create a new industry sector:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
titlestringRequired
Responses
200
Successful response
No content
post/api/v2/industrySector
POST /api/v2/industrySector HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"name": "text",
"title": "text"
}200
Successful response
No content
To view details for a specific industry sector:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
industrySectorIdstringRequired
Responses
200
Successful response
application/json
industrySectorIdstringOptional
namestringOptional
titlestringOptional
statusstringOptional
get/api/v2/industrySector/{industrySectorId}
GET /api/v2/industrySector/{industrySectorId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"industrySectorId": "2",
"name": "Aerospace industries",
"title": "AEROSPACE",
"status": "setup"
}To update a specific industry sector:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
industrySectorIdstringRequired
Body
namestringOptional
titlestringOptional
statusstringOptional
nullstringOptional
Responses
200
Successful response
application/json
industrySectorIdstringOptional
namestringOptional
titlestringOptional
statusstringOptional
patch/api/v2/industrySector/{industrySectorId}
PATCH /api/v2/industrySector/{industrySectorId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"name": "text",
"title": "text",
"status": "text",
"null": "text"
}200
Successful response
{
"industrySectorId": "2",
"name": "Aerospace industries",
"title": "AEROSPACE",
"status": "active"
}Last updated
Was this helpful?